(*******************************************************************************
* Interface of the attribute evaluation actions, to be included in a (batch
* oriented) SLADE parser specification
*
* JHG sep97 SLADE Copyright (C) 1991-1997 University of Twente
*******************************************************************************)

ACTIONS
    assign_bool   (out dest: boolean;  in src: boolean).
    assign_char   (out dest: char;     in src: char).
    assign_int    (out dest: integer;  in src: integer).
    assign_real   (out dest: real;     in src: real).
    assign_string (out dest: string;   in src: string).
    clear_bool    (out dest: boolean).
    clear_char    (out dest: char).
    clear_int     (out dest: integer).
    clear_real    (out dest: real).
    clear_string  (out dest: string).
    read_bool     (out arg: boolean;   in prompt: string).
    read_char     (out arg: char;      in prompt: string).
    read_int      (out arg: integer;   in prompt: string).
    read_real     (out arg: real;      in prompt: string).
    read_string   (out arg: string).
    write_bool    (in arg: boolean).
    write_char    (in arg: char).
    write_int     (in arg: integer).
    write_real    (in arg: real).
    write_string  (in arg: string).
