S_FILES	= $(TARGET).s lentab.s strtab.s
C_FILES	= $(TARGET).c
H_FILES	=  lentab.h strtab.h
SOURCES	= $(H_FILES) $(C_FILES) $(S_FILES)
CC	= gcc
CFLAGS	= -Wall -I $(SLADE)/include
OBJECTS	= $(TARGET).o $(EXTOBJS)
ASFLAGS	= -I$(SLADE)/include

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -o $@

clean:
	-rm -f $(TARGET) $(TARGET).o $(SOURCES) $(TARGET).lst $(H_FILES) \
	$(TARGET).j $(TARGET).class

.SUFFIXES: .vim .j .class
.vim.c:
	$(SLADE)/bin/v2c $*.vim
.vim.a:
	$(SLADE)/bin/v2a $*.vim
.vim.s:
	$(SLADE)/bin/v2s $*.vim
.vim.j:
	$(SLADE)/bin/v2j $*.vim
.s.o:
	$(AS) $(ASFLAGS) $*.s -o $*.o
.j.class:
	jasmin $*.j
