H_FILES	= $(TARGET)_s.h
C_FILES	= $(TARGET)_s.c $(TARGET)_p.c
SOURCES	= $(H_FILES) $(C_FILES)
OBJECTS	= $(C_FILES:.c=.o) $(APIOBJS) $(EXTOBJS)
CC	= gcc -g -Wall
CFLAGS	= -I $(SLADE)/include

$(TARGET): $(OBJECTS)
	$(CC) $(OBJECTS) -o $@

$(TARGET)_p.c: $(TARGET).pg $(TARGET)_s.h
	$(SLADE)/bin/parsgen $(TARGET).pg $(EXTOBJS)

$(TARGET)_s.c $(TARGET)_s.h: $(TARGET).sg
	$(SLADE)/bin/scangen $(TARGET).sg

$(TARGET)_p.o: $(TARGET)_s.h

clean:
	-rm -f $(TARGET) $(OBJECTS) $(SOURCES) $(TARGET)_p.lst $(TARGET)_s.lst $(TARGET)_s.inc
