;
; subroutine to mimic the VIM instruction:
; descr sn, dpl, dim
; JHG nov98
;
descr:
	astore 10
	istore_3
	istore_2
	istore_1
	iconst_1
	istore 5
	iload_3
	istore 6
	goto forcond1
forloop1:
	istore 7
	istore 8
	iload 5
	iload 7
	iload 8
	isub
	iconst_1
	iadd
	imul
	istore 5
	aload_0
	iload 8
	iload_1
	iload_2
	iconst_2
	iload 6
	imul
	iadd
	iconst_1
	iadd
	invokevirtual rts/putmemr(III)V
	aload_0
	iload 5
	iload_1
	iload_2
	iconst_2
	iload 6
	imul
	iadd
	invokevirtual rts/putmemr(III)V
	iinc 6 -1
forcond1:
	iload 6
	ifgt forloop1
	aload_0
	iload_1
	invokevirtual rts/getseglen(I)I
	istore 4
	aload_0
	iload 4
	iload_1
	iload_2
	iconst_1
	iadd
	invokevirtual rts/putmemr(III)V
	aload_0
	iload_1
	iload 5
	invokevirtual rts/incrseglen(II)V
	aload_0
	iload_3
	iload_1
	iload_2
	invokevirtual rts/putmemr(III)V
	ret 10
;
; subroutine to mimic:
; ixpdl(sn, dpl)
; used in the VIM instructions: ldxvar, stxvar and xvaraddr
; JHG nov98
;
ixdpl:
	astore 10
	istore_2
	istore_1
	istore 4
	iconst_1
	istore 6
	iconst_0
	istore 9
	iload 4
	iflt else1
	goto whilecond1
whileloop1:
	istore_3
	istore 5
	iload 9
	iload_3
	iload 5
	isub
	iload 6
	imul
	iadd
	istore 9
	istore 6
whilecond1:
	iload 4
	iinc 4 -1
	ifgt whileloop1
	iload 9
	iload_2
	iadd
	ret 10
else1:
	aload_0
	iload_1
	iload_2
	invokevirtual rts/getmemr(II)I
	istore 4
	aload_0
	iload_1
	iload_2
	iconst_1
	iadd
	invokevirtual rts/getmemr(II)I
	istore 8
	goto whilecond2
whileloop2:
	istore_3
	aload_0
	iload_1
	iload_2
	iconst_2
	iload 4
	imul
	iadd
	iconst_1
	iadd
	invokevirtual rts/getmemr(II)I
	istore 5
	iload 9
	iload_3
	iload 5
	isub
	iload 6
	imul
	iadd
	istore 9
	aload_0
	iload_1
	iload_2
	iconst_2
	iload 4
	imul
	iadd
	invokevirtual rts/getmemr(II)I
	istore 7
	iload 7
	istore 6
	iinc 4 -1
whilecond2:
	iload 4
	ifgt whileloop2
	iload 9
	iload 8
	iadd
	ret 10
;
; subroutine to mimic the VIM instruction:
; popn sn, dpl
; JHG nov98
;
popn:
	astore 10			; store return address in local 10
	istore_2			; dpl is local 2
	istore_1			; sn is local 1
	istore_3			; n= pop();
	iload_3
	ifne whilecond3			; if (n == 0)
	aload_0
	iload_1
	iload_2
	iconst_2
	iadd
	invokevirtual rts/getmemr(II)I
	istore_3			;	n= getmemr(sn, dpl+2);
	goto whilecond3
whileloop3:				; while (n-- > 0)
	pop				;	pop();
whilecond3:
	iload_3
	iinc 3 -1
	ifgt whileloop3
	ret 10
;
; subroutine to mimic the VIM instruction:
; ldnvar sn, dpl
; JHG nov98
;
ldnvar:
	astore 10			; store return address in local 10
	istore_2			; dpl is local 2
	istore_1			; sn is local 1
	istore_3			; n= pop();
	iload_3
	ifne else2			; if (n == 0) {
	aload_0
	iload_1
	iload_2
	iconst_2
	iadd
	invokevirtual rts/getmemr(II)I
	istore_3			;	n= getmemr(sn, dpl+2);
	aload_0
	iload_1
	iload_2
	iconst_1
	iadd
	invokevirtual rts/getmemr(II)I
	istore_2			;	dpl= getmemr(sn, dpl+1);
else2:
	iconst_0
	istore 4
	goto forcond2
forloop2:
	aload_0
	iload_1
	iload_2
	iload 4
	iadd
	invokevirtual rts/getmemr(II)I
	iinc 4 1
forcond2:
	iload 4
	iload_3
	if_icmplt forloop2
	ret 10
;
; subroutine to mimic the VIM instruction:
; stnvar sn, dpl
; JHG nov98
;
stnvar:
	astore 10			; store return address in local 10
	istore_2			; dpl is local 2
	istore_1			; sn is local 1
	istore_3			; n= pop();
	iload_3
	ifne whilecond4			; if (n == 0) {
	aload_0
	iload_1
	iload_2
	iconst_2
	iadd
	invokevirtual rts/getmemr(II)I
	istore_3			;	n= getmemr(sn, dpl+2);
	aload_0
	iload_1
	iload_2
	iconst_1
	iadd
	invokevirtual rts/getmemr(II)I
	istore_2			;	dpl= getmemr(sn, dpl+1);
	goto whilecond4			; }
whileloop4:				; while (--n >= 0)
	aload_0
	swap
	iload_1
	iload_2
	iload_3
	iadd
	invokevirtual rts/putmemr(III)V	;	putmemr(sn, dpl+n, pop());
whilecond4:
	iinc 3 -1
	iload_3
	ifge whileloop4
	ret 10

;
; subroutine to mimic the VIM instruction:
; eqn len, sn, dpl
; JHG nov98
;
eqn:
	astore 10			; store return address in local 10
	istore_3			; dpl is local 3
	istore_2			; sn is local 2
	istore_1			; len is local 1
	iload_1
	ifne else3			; if (len == 0)
	aload_0
	iload_2
	iload_3
	iconst_2
	iadd
	invokevirtual rts/getmemr(II)I
	istore_1			; 	len= getmemr(sn, dpl+2);
else3:
	iload_1
	newarray int
	astore 6			; arr= new int[len];
	iload_1
	istore 5			; i= len;
	goto whilecond5		; while (--i >= 0)
whileloop5:
	istore 7
	aload 6
	iload 5
	iload 7
	iastore				;	arr[i] = pop();
whilecond5:
	iinc 5 -1
	iload 5	
	ifge whileloop5
	iconst_1
	istore 4			; equal= true;
	goto whilecond6
whileloop6:				; while (--len >= 0) {
	istore 5			;	i= pop();
	iload 4
	ifeq else4			;	if (equal)
	aload 6
	iload 1
	iaload
	iload 5
	if_icmpeq eq1
	iconst_0
	goto eq2
eq1:
	iconst_1
eq2:
	istore 4			;		equal= (arr[len] == i);
else4:					; }
whilecond6:
	iinc 1 -1
	iload 1
	ifge whileloop6
	iload 4
	ret 10
